CREATE TABLE cst_qpp_vu_42905_dyd (
    COST_ORG_ID                     NUMBER(18, 0)    NOT NULL,
    COST_BOOK_ID                    NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID               NUMBER(18, 0)    NOT NULL,
    EXPENSE_TRANSACTION_FLAG        VARCHAR2(4)      NOT NULL,
    INVENTORY_ORG_ID                NUMBER(18, 0),
    INVENTORY_ORG_ID_FLAG           NUMBER(18, 0),
    INVENTORY_ORG_ID_REQUIRED       NUMBER(18, 0),
    SUBINVENTORY_CODE               VARCHAR2(960),
    SUBINVENTORY_CODE_FLAG          NUMBER(18, 0),
    SUBINVENTORY_CODE_REQUIRED      NUMBER(18, 0),
    LOCATOR_ID                      NUMBER(18, 0),
    LOCATOR_ID_FLAG                 NUMBER(18, 0),
    LOCATOR_ID_REQUIRED             NUMBER(18, 0),
    LOT_NUMBER                      VARCHAR2(960),
    LOT_NUMBER_FLAG                 NUMBER(18, 0),
    LOT_NUMBER_REQUIRED             NUMBER(18, 0),
    SERIAL_NUMBER                   VARCHAR2(960),
    SERIAL_NUMBER_FLAG              NUMBER(18, 0),
    SERIAL_NUMBER_REQUIRED          NUMBER(18, 0),
    GRADE_CODE                      VARCHAR2(960),
    GRADE_CODE_FLAG                 NUMBER(18, 0),
    GRADE_CODE_REQUIRED             NUMBER(18, 0),
    COST_PROFILE_ID                 NUMBER(18, 0)    NOT NULL,
    VAL_STRUCTURE_ID                NUMBER(18, 0),
    STRUCTURE_INSTANCE_NUMBER       NUMBER(18, 0),
    VAL_STRUCTURE_MODE_CODE         VARCHAR2(120),
    VAL_UNIT_ID                     NUMBER(18, 0),
    VAL_UNIT_DETAIL_ID              NUMBER(18, 0),
    VAL_UNIT_COMBINATION_ID         NUMBER(18, 0),
    STATUS                          VARCHAR2(120),
    ERROR_CODE                      VARCHAR2(120),
    TOKEN1_NAME                     VARCHAR2(120),
    TOKEN1_TYPE                     VARCHAR2(120),
    TOKEN1_VALUE                    VARCHAR2(960),
    CONSIGNED_FLAG                  VARCHAR2(4)      NOT NULL,
    OWNER_TYPE                      NUMBER(18, 0),
    OWNING_ENTITY_ID                NUMBER(18, 0),
    OWNER_NAME                      VARCHAR2(120),
    ORIGINAL_RECEIPT_TXN_ID         NUMBER(18, 0),
    ORIGINAL_RECEIPT_NUMBER         VARCHAR2(200),
    OWNER_TYPE_FLAG                 NUMBER(18, 0),
    OWNER_TYPE_REQUIRED             NUMBER(18, 0),
    OWNER_NAME_FLAG                 NUMBER(18, 0),
    OWNER_NAME_REQUIRED             NUMBER(18, 0),
    ORIGINAL_RECEIPT_NUMBER_FLAG    NUMBER(18, 0),
    ORIGINAL_RECEIPT_NUMBER_REQ     NUMBER(18, 0),
    COST_ORG_ID                     NUMBER(18, 0)    NOT NULL,
    COST_BOOK_ID                    NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID               NUMBER(18, 0)    NOT NULL,
    EXPENSE_TRANSACTION_FLAG        VARCHAR2(4)      NOT NULL,
    INVENTORY_ORG_ID                NUMBER(18, 0),
    INVENTORY_ORG_ID_FLAG           NUMBER(18, 0),
    INVENTORY_ORG_ID_REQUIRED       NUMBER(18, 0),
    SUBINVENTORY_CODE               VARCHAR2(960),
    SUBINVENTORY_CODE_FLAG          NUMBER(18, 0),
    SUBINVENTORY_CODE_REQUIRED      NUMBER(18, 0),
    LOCATOR_ID                      NUMBER(18, 0),
    LOCATOR_ID_FLAG                 NUMBER(18, 0),
    LOCATOR_ID_REQUIRED             NUMBER(18, 0),
    LOT_NUMBER                      VARCHAR2(960),
    LOT_NUMBER_FLAG                 NUMBER(18, 0),
    LOT_NUMBER_REQUIRED             NUMBER(18, 0),
    SERIAL_NUMBER                   VARCHAR2(960),
    SERIAL_NUMBER_FLAG              NUMBER(18, 0),
    SERIAL_NUMBER_REQUIRED          NUMBER(18, 0),
    GRADE_CODE                      VARCHAR2(960),
    GRADE_CODE_FLAG                 NUMBER(18, 0),
    GRADE_CODE_REQUIRED             NUMBER(18, 0),
    COST_PROFILE_ID                 NUMBER(18, 0)    NOT NULL,
    VAL_STRUCTURE_ID                NUMBER(18, 0),
    STRUCTURE_INSTANCE_NUMBER       NUMBER(18, 0),
    VAL_STRUCTURE_MODE_CODE         VARCHAR2(120),
    VAL_UNIT_ID                     NUMBER(18, 0),
    VAL_UNIT_DETAIL_ID              NUMBER(18, 0),
    VAL_UNIT_COMBINATION_ID         NUMBER(18, 0),
    STATUS                          VARCHAR2(120),
    ERROR_CODE                      VARCHAR2(120),
    TOKEN1_NAME                     VARCHAR2(120),
    TOKEN1_TYPE                     VARCHAR2(120),
    TOKEN1_VALUE                    VARCHAR2(960),
    CONSIGNED_FLAG                  VARCHAR2(4)      NOT NULL,
    OWNER_TYPE                      NUMBER(18, 0),
    OWNING_ENTITY_ID                NUMBER(18, 0),
    OWNER_NAME                      VARCHAR2(120),
    ORIGINAL_RECEIPT_TXN_ID         NUMBER(18, 0),
    ORIGINAL_RECEIPT_NUMBER         VARCHAR2(200),
    OWNER_TYPE_FLAG                 NUMBER(18, 0),
    OWNER_TYPE_REQUIRED             NUMBER(18, 0),
    OWNER_NAME_FLAG                 NUMBER(18, 0),
    OWNER_NAME_REQUIRED             NUMBER(18, 0),
    ORIGINAL_RECEIPT_NUMBER_FLAG    NUMBER(18, 0),
    ORIGINAL_RECEIPT_NUMBER_REQ     NUMBER(18, 0)
);
